Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		docutils
Version:	0.10
Release:	2
License:	Public Domain, BSD, GPL (see COPYING.txt)
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
# Source0-md5:	d8d4660c08302c791b2d71a155a2f4bc
URL:		http://docutils.sourceforge.net/
BuildRequires:	python-devel >= 2.3
BuildRequires:	python3-2to3 >= 1:3.3
BuildRequires:	python3-2to3 < 1:3.4
BuildRequires:	python3-devel >= 3.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

%package -n python-%{name}
Summary:        Text documents processing modules for Python 2.x
Summary(pl.UTF-8):      Moduły Pythona 2.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
%pyrequires_eq	python-libs

%description -n python-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 2.

%description -n python-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 2.

%package 3
Summary:        Documentation Utilities for Python 3.x
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji dla Pythona 3.x
Group:		Development/Tools
Requires:	python3-%{name} = %{version}-%{release}

%description 3
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

This package provides the Docutils for Python 3.

%description 3 -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet zawiera Docutils dla Pythona 3.

%package -n python3-%{name}
Summary:        Text documents processing modules for Python 3.x
Summary(pl.UTF-8):      Moduły Pythona 3.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python

%description -n python3-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 3.

%description -n python3-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 3.

%prep
%setup -q

%build
%{__python} setup.py config build -b build-2
%{__python3} setup.py config build -b build-3

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py build -b build-2 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	mv "${f}" "${f%.py}"
done

%{__python3} setup.py build -b build-3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	mv "${f}" "${f%.py}-3"
done

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PKG-INFO *.txt docs
%attr(755,root,root) %{_bindir}/rst2html
%attr(755,root,root) %{_bindir}/rst2latex
%attr(755,root,root) %{_bindir}/rst2man
%attr(755,root,root) %{_bindir}/rst2odt
%attr(755,root,root) %{_bindir}/rst2odt_prepstyles
%attr(755,root,root) %{_bindir}/rst2pseudoxml
%attr(755,root,root) %{_bindir}/rst2s5
%attr(755,root,root) %{_bindir}/rst2xetex
%attr(755,root,root) %{_bindir}/rst2xml
%attr(755,root,root) %{_bindir}/rstpep2html

%files 3
%defattr(644,root,root,755)
%doc PKG-INFO *.txt docs
%attr(755,root,root) %{_bindir}/rst*-3

%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/docutils
%{py_sitescriptdir}/docutils-%{version}-py*.egg-info

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/docutils
%{py3_sitescriptdir}/docutils-%{version}-py*.egg-info
%changelog
* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 3f04b6f
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Thu Dec 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 72a779b
- pl for -3
- -3 R: python3- module

* Wed Dec 26 2012 wrobell <wrobell@pld-linux.org> 6efcbdb
- ver. 0.10.0
- added docutils-3 package

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e202dc
- rel 4; epoch fix

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75a54be
- rel 3; 2to3 from 3.3

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 12b1943
- release 2 (by relup.sh)

* Tue Sep 13 2011 Jakub Bogusz <qboosh@pld-linux.org> bdb7ad2
- updated to 0.8.1

* Thu Aug 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 7be8ae5
- partial files cleanup

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> c3585f1
- unified Source0 URL
- polished pl
- python3 modules should not require python 2 libs
- versioned python BRs

* Mon Aug 08 2011 wrobell <wrobell@pld-linux.org> 1bbe25e
- convert roman.py module to python 3

* Sat Jul 23 2011 Jakub Bogusz <qboosh@pld-linux.org> e24f0ec
- fixed build, no duplicate package names
- note python version in python*-docutils descs

* Wed Jul 20 2011 wrobell <wrobell@pld-linux.org> cdcb57c
- ver. 0.8
- started adding python 3 subpackages (nfy)

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 78c00b9
- %description: first always put -l after -n

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 753d033
- Up to 0.7

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 65dd2ad
- release 3

* Wed Apr 07 2010 Jacek Konieczny <jajcus@pld-linux.org> bffc3c8
- '.py' suffix removed from %{_bindir} scripts. That worked well enough in
  the python-docutils.spec

* Wed Apr 07 2010 Jacek Konieczny <jajcus@pld-linux.org> 333ac54
- python-docutils package added
- Release: 2

* Wed Oct 14 2009 Adam Gołębiowski <adamg@pld-linux.org> 1932465
- updated to 0.6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b12c180
- release 2

* Thu Jun 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 53e2018
- updated to 0.5

